using System;

namespace NZSDK_CSharpSample
{
    public class GenericItem
    {
        #region Fields

        string displayText;
        object itemValue;

        #endregion

        #region Constructors

        public GenericItem(string text, object value)
        {
            displayText = text;
            itemValue = value;
        }

        #endregion

        #region Properties

        public string DisplayText
        {
            get { return displayText; }
            set { displayText = value; }
        }

        public object ItemValue
        {
            get { return itemValue; }
            set { itemValue = value; }
        }

        #endregion

        #region Public Methods

        public override string ToString()
        {
            return DisplayText;
        }

        #endregion
    }
}